Bug 749854 - (CVE-2011-4088) CVE-2011-4088 abrt: may leak some personal information to bugzilla with some certain applications
CVE-2011-4088 abrt: may leak some personal information to bugzilla with some ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20111118,reported=2...
: Security
Depends On: 748457 813243
Blocks: 749859 784298
  Show dependency treegraph
 
Reported: 2011-10-28 13:47 EDT by Vincent Danen
Modified: 2015-08-19 05:13 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
No documentation needed
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 07:12:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-10-28 13:47:32 EDT
Jan Iven reported that abrt could possibly leak certain non-public information when reporting on crashes.  If an application included a user name, password, or other confidential information in the crash output, abrt would send that information along with the other information it collects about the crash, to bugzilla.

While the real problem is the application including this information in the crash output, abrt should not be submitting this information or should warn the user that it may be submitting potentially sensitive information and allow the user to scrub that information before it is sent.

Note: only one such application has been currently identified, but it is possible there are others.
Comment 1 Vincent Danen 2011-10-28 13:50:37 EDT
Acknowledgements:

Red Hat would like to thank Jan Iven for reporting this issue.
Comment 5 Huzaifa S. Sidhpurwala 2011-11-18 05:56:09 EST
Statement:

(none)
Comment 6 Fedora Update System 2011-12-16 14:56:04 EST
abrt-2.0.7-2.fc16, libreport-2.0.8-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 errata-xmlrpc 2012-06-20 03:03:34 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0841 https://rhn.redhat.com/errata/RHSA-2012-0841.html

Note You need to log in before you can comment on or make changes to this bug.